Bug 1675927 - rubygem-hoe: FTBFS in Fedora rawhide/f30
Summary: rubygem-hoe: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-hoe
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:52 UTC by Fedora Release Engineering
Modified: 2019-03-12 07:31 UTC (History)
2 users (show)

Fixed In Version: rubygem-hoe-3.17.1-3.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-12 07:31:56 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:52 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:52 UTC, Fedora Release Engineering
no flags Details
state.log (641 bytes, text/plain)
2019-02-11 21:52 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:52:27 UTC
rubygem-hoe failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32473639


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix rubygem-hoe at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
rubygem-hoe will be orphaned. Before branching of Fedora 31,
rubygem-hoe will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:52:29 UTC
Created attachment 1532775 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:52:31 UTC
Created attachment 1532776 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:52:32 UTC
Created attachment 1532777 [details]
state.log

Comment 4 Mamoru TASAKA 2019-03-11 05:53:34 UTC
One issue is confirmed fixed in upstream: https://github.com/seattlerb/hoe/commit/ddd4417d74bea4349c0b4f480660bfd4fac4542c
The left issue is being discussed: https://github.com/seattlerb/hoe/issues/88

Comment 5 Mamoru TASAKA 2019-03-12 07:31:56 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.